export const AttributeColumns = [
  { type: 'seq', title: 'No.', width: 70, align: 'center', fixed: 'left' },
  {
    field: 'name', title: '属性名称', align: 'center', fixed: 'left',
    slots: { default: 'name' }
  },
  {
    field: 'key', title: '属性标识', align: 'center',
    slots: { default: 'key' }
  },
  {
    field: 'update_datetime', title: '更新时间', align: 'center',
    slots: { default: 'update_datetime' }
  },
  {
    field: 'create_datetime', title: '创建时间', align: 'center',
    slots: { default: 'create_datetime' }
  },
  {
    field: 'operate', title: '操 作', width: 175, align: 'center', fixed: 'right',
    slots: { default: 'operate' }
  }
];

export const ProductBrandColumns = [
  { type: 'seq', title: 'No.', width: 70, align: 'center', fixed: 'left' },
  {
    field: 'brand_name', title: '品牌名称', align: 'center', fixed: 'left',
    slots: { default: 'brand_name' }
  },
  {
    field: 'update_datetime', title: '更新时间', align: 'center',
    slots: { default: 'update_datetime' }
  },
  { field: 'create_datetime', title: '创建时间', align: 'center', slots: { default: 'create_datetime' } },
  {
    field: 'operate', title: '操 作', width: 100, align: 'center', fixed: 'right',
    slots: { default: 'operate' }
  }
];

export const ProductCategoryColumns = [
  { type: 'seq', title: 'No.', width: 70, align: 'center', fixed: 'left' },
  {
    field: 'name', title: '种类名称', align: 'center', minWidth: 130, fixed: 'left',
    slots: { default: 'name' }
  },
  {
    field: 'main', title: '主属性', align: 'center', width: 500,
    slots: { default: 'main' }
  },
  {
    field: 'status', title: '状 态', width: 100, align: 'center',
    slots: { default: 'status' }
  },
  {
    field: 'update_datetime', title: '更新时间', width: 170, align: 'center',
    slots: { default: 'update_datetime' }
  },
  { field: 'create_datetime', title: '创建时间', width: 170, align: 'center', slots: { default: 'create_datetime' } },
  {
    field: 'operate', title: '操 作', width: 130, align: 'center', fixed: 'right',
    slots: { default: 'operate' }
  }
];

export const CompanySkuColumns = [
  { type: 'checkbox', width: 50, align: 'center', fixed: 'left' },
  {
    field: 'sku', title: 'SKU', align: 'center', minWidth: 220, fixed: 'left',
    slots: { default: 'sku' }
  },
  {
    field: 'brand', title: '品牌名称', align: 'center', minWidth: 80,
    slots: { default: 'brand' }
  },
  {
    field: 'kind', title: '种 类', align: 'center', minWidth: 150,
    slots: { default: 'kind' }
  },
  {
    field: 'version_feature', title: '版本特性', align: 'center', minWidth: 180,
    slots: { default: 'version_feature' }
  },
  {
    field: 'status', title: '状 态', width: 100, align: 'center',
    slots: { default: 'status' }
  },
  {
    field: 'update_datetime', title: '更新时间', width: 170, align: 'center',
    slots: { default: 'update_datetime' }
  },
  { field: 'create_datetime', title: '创建时间', width: 170, align: 'center', slots: { default: 'create_datetime' } },
  {
    field: 'operate', title: '操 作', width: 175, align: 'center', fixed: 'right',
    slots: { default: 'operate' }
  }
];

export const EnumColumns = [
  { field: 'label', title: '名称', minWidth: 'auto', align: 'center' },
  { field: 'value', title: '数据值', minWidth: 'auto', align: 'center' },
  { field: 'status', title: '状态', minWidth: 'auto', align: 'center', slots: { default: 'status' } },
  { field: 'operate', title: '操作', align: 'center', width: 130, slots: { default: 'operate' } }
];

export const AttributeManageColumns = [
  { type: 'seq', title: 'No.', width: 70, align: 'center', fixed: 'left' },
  { field: 'placement', title: '位 置', align: 'center', slots: { default: 'placement' } },
  { field: 'attribute', title: '属 性', align: 'center', slots: { default: 'attribute' } },
  { field: 'order', title: '顺 序', align: 'center', slots: { default: 'order' } },
  { field: 'update_datetime', title: '更新时间', width: 170, align: 'center', slots: { default: 'update_datetime' } },
  { field: 'create_datetime', title: '创建时间', width: 170, align: 'center', slots: { default: 'create_datetime' } },
  { field: 'operate', title: '操 作', width: 175, align: 'center', fixed: 'right', slots: { default: 'operate' } }
];
