export const MarketStoreColumns = [
  { type: 'seq', title: 'No.', width: 60, align: 'center', fixed: 'left' },
  {
    field: 'platform_number', title: '平台编号', align: 'center',
    slots: { default: 'platform_number' }
  },
  {
    field: 'name', title: '店 铺', align: 'center',
    slots: { default: 'name' }
  },
  {
    field: 'seller', title: '卖家ID', align: 'center',
    slots: { default: 'seller' }
  },
  {
    field: 'region', title: '站 点', align: 'center',
    slots: { default: 'region' }
  },
  {
    field: 'country_code', title: '国 家', align: 'center',
    slots: { default: 'country_code' }
  },
  {
    field: 'marketplace_id', title: '市场ID', align: 'center',
    slots: { default: 'marketplace_id' }
  },
  {
    field: 'create_datetime', title: '创建时间', width: 180, align: 'center',
    slots: { default: 'create_datetime' }
  }
];

export const OnlineMerchandiseColumns = [
  { type: 'seq', title: 'No.', width: 60, align: 'center', fixed: 'left', },
  { field: 'asin', title: 'ASIN', minWidth: 'auto', align: 'center', slots: { default: 'asin' } },
  { field: 'sku', title: 'SKU', minWidth: 'auto', align: 'center', slots: { default: 'sku' } },
  { field: 'platform_number', title: '平台编号', minWidth: 'auto', align: 'center',
    slots: { default: 'platform_number' }
  },
  {
    field: 'shop_name', title: '店 铺', minWidth: 'auto', align: 'center',
    slots: { default: 'shop_name' }
  },
  {
    field: 'country_code', title: '国 家', width: 'auto', align: 'center',
    slots: { default: 'country_code' }
  },
  {
    field: 'region', title: '站 点', width: 'auto', align: 'center',
    slots: { default: 'region' }
  },
  {
    field: 'quantity', title: '可售数量', width: 'auto', align: 'center',
    slots: { default: 'quantity' }
  },
  {
    field: 'fulfillment_channel', title: '配送方式', width: 'auto', align: 'center',
    slots: { default: 'fulfillment_channel' }
  },
  {
    field: 'raw_launch_datetime', title: '上架时间', width: 'auto', align: 'center',
    slots: { default: 'raw_launch_datetime' }
  },
  {
    field: 'price', title: '价 格', width: 'auto', align: 'center',
    slots: { default: 'price' }
  },
  {
    field: 'status', title: '状 态', width: 80, align: 'center',
    slots: { default: 'status' }
  },
  {
    field: 'operate', title: '操 作', width: 70, align: 'center', fixed: 'right',
    slots: { default: 'operate' }
  }
];
